Loading...
Searching...
No Matches
monomialset.hh File Reference
`#include <array>`
`#include <dune/common/fvector.hh>`
`#include <dune/common/fmatrix.hh>`
`#include <dune/common/math.hh>`
`#include <dune/common/rangeutilities.hh>`

Go to the source code of this file.

## Classes

struct | Dune::Functions::MonomialSet< RangeFieldType, dimension, maxDegree >
| Function, which evaluates all monomials up to degree `maxDegree` in a given coordinate. More...
struct | Dune::Functions::MonomialSet< RangeFieldType, dimension, maxDegree >::Derivative
| Set of all first order derivatives of monomials up to degree `maxDegree` as vector of vector valued functions. More...
struct | Dune::Functions::MonomialSet< RangeFieldType, dimension, maxDegree >::Derivative::Hessian
| Set of all second order derivatives of monomials up to degree `maxDegree` as vector of matrix valued functions. More...

## Namespaces

namespace | Dune
namespace | Dune::Functions